import request from '@/utils/request'

// 查询节点配置列表
export function listDisposition(query) {
  return request({
    url: '/quest/disposition/list',
    method: 'get',
    params: query
  })
}

// 查询节点配置详细
export function getDisposition(id) {
  return request({
    url: '/quest/disposition/' + id,
    method: 'get'
  })
}


// 新增节点配置
export function addDisposition(data) {
  return request({
    url: '/quest/disposition',
    method: 'post',
    data: data
  })
}

// 修改节点配置
export function updateDisposition(data) {
  return request({
    url: '/quest/disposition',
    method: 'put',
    data: data
  })
}

// 删除节点配置
export function delDisposition(id) {
  return request({
    url: '/quest/disposition/' + id,
    method: 'delete'
  })
}
// 批量操作节点配置
export function batchAddUpd(data,nodeCode) {
  return request({
    url: '/quest/disposition/batch/'+nodeCode,
    method: 'post',
    data: data
  })
}
